EDIT - feature request #9611

Implement setSecundumForSubtree for MAN and ppSyns in TaxEditor

05/06/2021 06:54 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 80%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.23

Severity: blocker

Description

this is a follow up from #9601

Parameters are similar to setPublishForSubtree.

The labels should make clear that this is about err. sec. (MAN) and syn. sec (PP-Syn) and not about sensu (MAN) or sec. (PP-Syn)

Related issues:

Related to EDIT - bug #9390: Remaining issues for set secundum dialog

Related to EDIT - bug #9621: New Preference for Default of the SecundumForSub...
Related to EDIT - feature request #9622: Improve remoting progress monitor ha...
Follows EDIT - bug #9601: Set secundum for subTree does not work for misappli...

In Progress
New

In Progress
Closed

Associated revisions

Revision cfae30ae - 05/07/2021 10:02 AM - Katja Luther

ref #9611: implement set secundum for MAN and pro parte syn

Revision a3247a01 - 05/12/2021 09:57 AM - Andreas Miiller

ref #9601, ref #9611 have only a single overwriteExisting parameter for setSecundumForSubtree

Revision a6b03e32 - 05/12/2021 10:05 AM - Andreas Miiller
ref #9601, ref #9611 by default don't include MAN and ppSyns for setSecundumForSubtree

Revision 7cbe1369 - 05/12/2021 10:49 AM - Andreas Muller

ref #9601, ref #9611 by default don't include MAN and ppSyns for setSecundumForSubtree (cont.)

Revision 5fdf87f0 - 05/12/2021 12:09 PM - Katja Luther

ref #9611: adapt taxeditor to changes in configurator

Revision 86f920de - 05/12/2021 12:32 PM - Katja Luther

ref #9611: adapt handler to changes in method signatur

Revision 8e5f7864 - 05/17/2021 12:31 PM - Katja Luther

ref #9611: move use shared taxa to the general flags

Revision b2beda87 - 05/19/2021 08:42 AM - Katja Luther

ref #9611: more space between the specific and the general flags

History

#1 - 05/06/2021 06:54 PM - Andreas Miiller
- Due date set to 05/04/2021
- Start date changed from 05/06/2021 to 05/04/2021

- Follows bug #9601: Set secundum for subTree does not work for misapplied names added
#2 - 05/06/2021 08:36 PM - Andreas Miiller

- Related to bug #9390: Remaining issues for set secundum dialog added

#3 - 05/06/2021 08:45 PM - Andreas Miiller
- Description updated

- Due date deleted (05/04/2021)

- Priority changed from New to Highest

- Severity changed from normal to blocker

This is a blocker as the current behavior by default sets the error sec and the syn sec which might be unexpected for users. If we have no time to
implement before release we should better turn the configurator to use false by default.

#4 - 05/07/2021 10:17 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

Please review.

#5 - 05/11/2021 11:07 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Mtiller to Katja Luther

Similar to the setPublishForSubtree dialog we should separate those parameters that do hold for all taxon types a bit. In our case it is "delete existing
ref details" and "include taxa which are used multiple times". They should come at the end after some space.

A bit problematic ist hte "Overwrite existing sec refs for selected relations option which holds for MAN and PP-Syns. The Ul should make this clear
somehow. | have no good idea how to do this. Probably the best solution is to have only 1 parameter (similar to "delete ref detail"). | think it is not
used a lot anyway so in the rare case that a user wants to explicitly not overwrite synonym syn. secs s*he may run the method 4x (for acc, syn, MAN
and ppSyn). Adaptation in cdmlib should be easy.

What do you think?

#6 - 05/11/2021 11:07 PM - Andreas Miiller
- % Done changed from 0 to 50

#7 - 05/11/2021 11:11 PM - Andreas Miuller

Also | guess by default we should switch off "apply to MAN err. sec." and "apply to ppsyn syn. sec." as most projects do not use these sec. and
having it switched on may lead to unwanted data. (this should be done in the configurator default values in cdmlib)

Those projects being used to err. sec. and pp-syn. sec. may understand how to switch it on. Alternatively, in future we could also have a DB
preference for the default value.

What do you think?

#8 - 05/12/2021 09:22 AM - Katja Luther

Andreas Muller wrote:
A bit problematic ist hte "Overwrite existing sec refs for selected relations option which holds for MAN and PP-Syns. The Ul should make this
clear somehow. | have no good idea how to do this. Probably the best solution is to have only 1 parameter (similar to "delete ref detail"). | think it
is not used a lot anyway so in the rare case that a user wants to explicitly not overwrite synonym syn. secs s*he may run the method 4x (for acc,
syn, MAN and ppSyn). Adaptation in cdmlib should be easy.

| also thoughth about this when implementing, first | thought about to show two checkboxes.

What do you think?

#9 - 05/12/2021 09:26 AM - Katja Luther

Andreas Muller wrote:

Also | guess by default we should switch off "apply to MAN err. sec." and "apply to ppsyn syn. sec." as most projects do not use these sec. and
having it switched on may lead to unwanted data. (this should be done in the configurator default values in cdmlib)

Those projects being used to err. sec. and pp-syn. sec. may understand how to switch it on. Alternatively, in future we could also have a DB
preference for the default value.

What do you think?

I think we should have a preference for the default value for the whole configurator because most users will have a standard workflow for this.
#10 - 05/12/2021 09:44 AM - Andreas Miiller
Katja Luther wrote:

Andreas Miiller wrote:

Also | guess by default we should switch off "apply to MAN err. sec." and "apply to ppsyn syn. sec.” as most projects do not use these sec.
and having it switched on may lead to unwanted data. (this should be done in the configurator default values in cdmlib)

Those projects being used to err. sec. and pp-syn. sec. may understand how to switch it on. Alternatively, in future we could also have a DB
preference for the default value.

What do you think?

| think we should have a preference for the default value for the whole configurator because most users will have a standard workflow for this.

Agreed. But we still need a default value for the preference. My suggestion is to NOT set err.sec. and syn.sec. by default. | will implement it this way
now. Please let me know if you do not agree.

#11 - 05/12/2021 09:47 AM - Katja Luther
Andreas Muller wrote:
Katja Luther wrote:
Andreas Muller wrote:

Also | guess by default we should switch off "apply to MAN err. sec." and "apply to ppsyn syn. sec.” as most projects do not use these
sec. and having it switched on may lead to unwanted data. (this should be done in the configurator default values in cdmlib)

Those projects being used to err. sec. and pp-syn. sec. may understand how to switch it on. Alternatively, in future we could also have
a DB preference for the default value.

What do you think?

| think we should have a preference for the default value for the whole configurator because most users will have a standard workflow for
this.

Agreed. But we still need a default value for the preference. My suggestion is to NOT set err.sec. and syn.sec. by default. | will implement it this
way now. Please let me know if you do not agree.

| think you have more informations about the concrete data in the projects, so | think this is the correct default value.

#12 - 05/12/2021 09:55 AM - Andreas Miiller

Katja Luther wrote:

Andreas Miller wrote:

A bit problematic ist hte "Overwrite existing sec refs for selected relations option which holds for MAN and PP-Syns. The Ul should make
this clear somehow. | have no good idea how to do this. Probably the best solution is to have only 1 parameter (similar to "delete ref detail").
| think it is not used a lot anyway so in the rare case that a user wants to explicitly not overwrite synonym syn. secs s*he may run the
method 4x (for acc, syn, MAN and ppSyn). Adaptation in cdmlib should be easy.

| also thoughth about this when implementing, first | thought about to show two checkboxes.

What do you think?
So do you agree on having only 1 parameter? This will make the Ul more simple, at least, which is an advantage. | will implement it this way now. Let
me know if you do not agree and have another suggestion.

#13 - 05/12/2021 10:03 AM - Katja Luther
Andreas Muller wrote:
Katja Luther wrote:
Andreas Miiller wrote:

A bit problematic ist hte "Overwrite existing sec refs for selected relations option which holds for MAN and PP-Syns. The Ul should
make this clear somehow. | have no good idea how to do this. Probably the best solution is to have only 1 parameter (similar to "delete
ref detail"). | think it is not used a lot anyway so in the rare case that a user wants to explicitly not overwrite synonym syn. secs s*he
may run the method 4x (for acc, syn, MAN and ppSyn). Adaptation in cdmlib should be easy.

| also thoughth about this when implementing, first | thought about to show two checkboxes.

What do you think?

So do you agree on having only 1 parameter? This will make the Ul more simple, at least, which is an advantage. | will implement it this way
now. Let me know if you do not agree and have another suggestion.

+1

#14 - 05/12/2021 10:07 AM - Andreas Muller

implemented. Please adapt Ul.

#15 - 05/12/2021 10:20 AM - Andreas Muller

... and the preference if this is fast. Otherwise open new ticket as it is not really urgent.

#16 - 05/12/2021 12:10 PM - Katja Luther

Andreas Muller wrote:

implemented. Please adapt Ul.

The Ul is adapted.

#17 - 05/12/2021 02:55 PM - Katja Luther
- Related to bug #9621: New Preference for Default of the SecundumForSubtreeConfigurator added

#18 - 05/12/2021 02:56 PM - Katja Luther
- Status changed from Feedback to Resolved
- Assignee changed from Katja Luther to Andreas Mdiller

Andreas Muller wrote:

... and the preference if this is fast. Otherwise open new ticket as it is not really urgent.

| create a new ticket, maybe | am able to implement it before the release but with a new ticket we can close this one.
Please revie the adapted UI.

#19 - 05/12/2021 04:09 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Katja Luther wrote:

Andreas Muller wrote:
implemented. Please adapt Ul.
The Ul is adapted.
Can we have more space between Pro Parte and Overwrite existing ... to make clear that the below flags belong to all above selections. (see also
dialogue for setPublish)
Also the "multiple-use” flag should be a general flag and not only related to accepted taxa (don't know why we had it only there before)
#20 - 05/17/2021 12:23 PM - Katja Luther
Andreas Muller wrote:
Katja Luther wrote:
Andreas Miiller wrote:

implemented. Please adapt UL.

The Ul is adapted.

Can we have more space between Pro Parte and Overwrite existing ... to make clear that the below flags belong to all above selections. (see

also dialogue for setPublish)

Also the "multiple-use” flag should be a general flag and not only related to accepted taxa (don't know why we had it only there before)

If it is a general flag | would use the term "object"? Is this ok or is there another term that includes taxa, synonyms etc?
#21 - 05/17/2021 12:47 PM - Andreas Miiller
Katja Luther wrote:
Andreas Miiller wrote:
Katja Luther wrote:
Andreas Muller wrote:

implemented. Please adapt Ul.

The Ul is adapted.

Can we have more space between Pro Parte and Overwrite existing ... to make clear that the below flags belong to all above selections.
(see also dialogue for setPublish)

Also the "multiple-use" flag should be a general flag and not only related to accepted taxa (don't know why we had it only there before)

If it is a general flag | would use the term "object"? Is this ok or is there another term that includes taxa, synonyms etc?

No, it should stay "taxa" as this is always related to the accepted taxon (a synonym or a taxon relationship can't be used multiple times, only the
accepted taxon.

#22 - 05/17/2021 01:24 PM - Katja Luther
- Status changed from Feedback to Resolved
- Assignee changed from Katja Luther to Andreas Mdiller
Andreas Muller wrote:
Katja Luther wrote:
Andreas Miiller wrote:

Katja Luther wrote:
Andreas Muller wrote:

implemented. Please adapt Ul.

The Ul is adapted.

Can we have more space between Pro Parte and Overwrite existing ... to make clear that the below flags belong to all above
selections. (see also dialogue for setPublish)

Also the "multiple-use" flag should be a general flag and not only related to accepted taxa (don't know why we had it only there before)

If it is a general flag | would use the term "object"? Is this ok or is there another term that includes taxa, synonyms etc?

No, it should stay "taxa" as this is always related to the accepted taxon (a synonym or a taxon relationship can't be used multiple times, only the
accepted taxon.

ok, this is fixed. please review

#23 - 05/17/2021 01:28 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23

#24 - 05/18/2021 06:09 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther
- % Done changed from 50 to 80
Andreas Miller wrote:
Katja Luther wrote:

Can we have more space between Pro Parte and Overwrite existing ... to make clear that the below flags belong to all above selections. (see
also dialogue for setPublish)

The space issue still seems to be open

#25 - 05/18/2021 06:11 PM - Andreas Miiller

- Related to feature request #9622: Improve remoting progress monitor handling added

#26 - 05/19/2021 08:45 AM - Katja Luther
- Status changed from Feedback to Closed

Andreas Muller wrote:
Andreas Muller wrote:

Katja Luther wrote:
Can we have more space between Pro Parte and Overwrite existing ... to make clear that the below flags belong to all above selections.
(see also dialogue for setPublish)

The space issue still seems to be open

sorry, this is fixed now. So | think we can close this ticket.
